Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.query
Class QuerySpecification

    java.lang.Object
      com.bea.p13n.usermgmt.query.QuerySpecification

All Implemented Interfaces
  Serializable

    public abstract class QuerySpecification

extends Object
implements Serializable

See Also
  Serialized Form

Constructor Summary
`QuerySpecification(FilterMethod filterMethod, String filterStr, Locale sortLocale, SortOrder sortOrder, int maxSize)`
`QuerySpecification(FilterMethod filterMethod, String filterStr, Locale sortLocale, SortOrder sortOrder, int maxSize, List<String> excludingNames)`
`QuerySpecification(int maxSize)`
`QuerySpecification(int maxSize, List<String> excludingNames)`

Method Summary
`List<String>` | `getExclusionList()`
`int` | `getMaxResultSize()`
`String` | `getRegexFilterString()`
`Locale` | `getSortLocale()`
`SortOrder` | `getSortOrder()`
`String` | `getWildcardFilterString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuerySpecification

    public QuerySpecification(FilterMethod filterMethod,
                              String filterStr,
                              Locale sortLocale,
                              SortOrder sortOrder,
                              int maxSize,
                              List<String> excludingNames)

### QuerySpecification

    public QuerySpecification(FilterMethod filterMethod,
                              String filterStr,
                              Locale sortLocale,
                              SortOrder sortOrder,
                              int maxSize)

### QuerySpecification

    public QuerySpecification(int maxSize,
                              List<String> excludingNames)

### QuerySpecification

    public QuerySpecification(int maxSize)

Method Detail

### getMaxResultSize

    public int getMaxResultSize()

### getSortLocale

    public Locale getSortLocale()

### getSortOrder

    public SortOrder getSortOrder()

### getExclusionList

    public List<String> getExclusionList()

### getRegexFilterString

    public String getRegexFilterString()

### getWildcardFilterString

    public String getWildcardFilterString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved